StandardBooleanQueryNode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.standard.nodes.StandardBooleanQueryNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.nodes
Class StandardBooleanQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.BooleanQueryNode
              org.apache.lucene.queryParser.standard.nodes.StandardBooleanQueryNode

All Implemented Interfaces:
  Serializable, Cloneable, QueryNode

    public class StandardBooleanQueryNode

extends BooleanQueryNode

A `StandardBooleanQueryNode` has the same behavior as `BooleanQueryNode`. It only indicates if the coord should be enabled or not for this boolean query.

See Also:
  `Similarity.coord(int, int)`, `BooleanQuery`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`StandardBooleanQueryNode(List<QueryNode> clauses, boolean disableCoord)`

Method Summary
`boolean` | `isDisableCoord()`

Methods inherited from class org.apache.lucene.queryParser.core.nodes.BooleanQueryNode
`cloneTree, toQueryString, toString`

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, setTag, unsetTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardBooleanQueryNode

    public StandardBooleanQueryNode(List<QueryNode> clauses,
                                    boolean disableCoord)

Parameters:
  `clauses` -

Method Detail

### isDisableCoord

    public boolean isDisableCoord()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD